Bug 1628006 (CVE-2018-16393) - CVE-2018-16393 opensc: Buffer overflows handling responses from Gemsafe V1 Smartcards in pkcs15-gemsafeV1.c:gemsafe_get_cert_len()
Summary: CVE-2018-16393 opensc: Buffer overflows handling responses from Gemsafe V1 Sm...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16393
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628007 1628008 1630203
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 05:28 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:45 UTC

Description Sam Fowler 2018-09-12 05:28:38 UTC
Several buffer overflows when handling responses from a Gemsafe V1 Smartcard in gemsafe_get_cert_len in libopensc/pkcs15-gemsafeV1.c in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to cause a denial of service (application crash) or possibly have unspecified other impact.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad

Comment 1 Sam Fowler 2018-09-12 05:29:05 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628007]

Comment 4 errata-xmlrpc 2019-08-06 12:21:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 5 Product Security DevOps Team 2019-08-06 13:19:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16393


Note You need to log in before you can comment on or make changes to this bug.